Bug 1728439 (CVE-2019-9811) - CVE-2019-9811 Mozilla: Sandbox escape via installation of malicious language pack
Summary: CVE-2019-9811 Mozilla: Sandbox escape via installation of malicious language ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9811
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190710,repo...
Depends On: 1726884 1726061 1726062 1726063 1726064 1726065 1726882 1726883 1726885 1726886
Blocks: 1726057
TreeView+ depends on / blocked
 
Reported: 2019-07-10 00:27 UTC by Doran Moppert
Modified: 2019-07-25 03:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:08:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1763 None None None 2019-07-11 17:55:53 UTC
Red Hat Product Errata RHSA-2019:1764 None None None 2019-07-11 17:19:47 UTC
Red Hat Product Errata RHSA-2019:1765 None None None 2019-07-11 17:51:59 UTC
Red Hat Product Errata RHSA-2019:1775 None None None 2019-07-15 12:41:03 UTC
Red Hat Product Errata RHSA-2019:1777 None None None 2019-07-15 13:35:13 UTC
Red Hat Product Errata RHSA-2019:1799 None None None 2019-07-16 20:27:06 UTC

Description Doran Moppert 2019-07-10 00:27:49 UTC
As part of his winning Pwn2Own entry, Niklas Baumstark demonstrated a sandbox escape by installing a malicious language pack and then opening a browser feature that used the compromised translation. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-22/#CVE-2019-9811

Comment 1 Doran Moppert 2019-07-10 00:27:52 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Niklas Baumstark

Comment 2 errata-xmlrpc 2019-07-11 17:19:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1764 https://access.redhat.com/errata/RHSA-2019:1764

Comment 3 errata-xmlrpc 2019-07-11 17:51:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1765 https://access.redhat.com/errata/RHSA-2019:1765

Comment 4 errata-xmlrpc 2019-07-11 17:55:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1763 https://access.redhat.com/errata/RHSA-2019:1763

Comment 5 Product Security DevOps Team 2019-07-12 13:08:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9811

Comment 6 errata-xmlrpc 2019-07-15 12:41:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1775 https://access.redhat.com/errata/RHSA-2019:1775

Comment 7 errata-xmlrpc 2019-07-15 13:35:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1777 https://access.redhat.com/errata/RHSA-2019:1777

Comment 8 errata-xmlrpc 2019-07-16 20:27:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1799 https://access.redhat.com/errata/RHSA-2019:1799


Note You need to log in before you can comment on or make changes to this bug.